From: "Marcia Peters (8-444-4380)" <[email-masked]>
Date: Thu, 14 Mar 96 16:24:19 EST

|
| Sorry, I meant to send this to the Reference SIG mailer the first
| time.

This is a product poll.  I am researching ways to omit unnecessary length
from Locate/Cdinit and the BIND RSCV.  I'd like to know if we can safely
omit the NETID from the "Real Partner CP Name TG Descriptor Subfield" CV
X'4683' in certain TG vectors, when it matches the NETID in the preceding
CV X'80'.

Logic to parse CV83 would exist in two places:

1. In NN code, to support function set 1013 for interoperability with
   periperal border node.

2. HPR products should also have a CV83 parser in their RTP endpoint
   code for expanding a CV85 that was put into the RSCV by an HPR BN.

Would all APPN NN and HPR(RTP) implementations please check your code and
let me know what you do, if you see an RSCV containing the following:

1.  CV 46 80 ( NETA.ENA ) 83 ( NETB.ENB )

2.  CV 46 80 ( NETA.ENA ) 83 ( ENB )       ... i.e. no NETID

If you're an NN processing a BIND, assume you have a TG 1 to NETA.ENB and
a TG 2 to NETB.ENB.  Which link do you forward the BIND on?  If you're
RTP, what CV 4680 do you transform the CV 4680/83/85 into before sending
Route Setup?

Thanks!

     Marcia

_________________________________________________________________________
 Marcia L. Peters, Senior Architect            [email-masked]
 Advanced Peer-to-Peer Networking
 IBM Corp., Dept. BUFA, Bldg. 664
 P.O. Box 12195                                Phone:      (919) 254-4380
 Research Triangle Park, NC 27709              Fax:        (919) 254-5483